Skip to main content
GET
/
transactions
/
{transaction_id}
/
settlements
/
{settlement_id}
Get settlement
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/settlements/{settlement_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/settlements/{settlement_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/settlements/{settlement_id}")
.header("Authorization", "Bearer <token>")
.asString();
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/settlements/{settlement_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/settlements/{settlement_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/settlements/{settlement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/settlements/{settlement_id} \
--header 'Authorization: Bearer <token>'
{
  "type": "settlement",
  "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
  "merchant_account_id": "default",
  "created_at": "2024-04-01T19:23:00.000+00:00",
  "updated_at": "2024-04-01T19:23:00.000+00:00",
  "posted_at": "2024-03-30T10:25:00.000+00:00",
  "ingested_at": "2013-04-01T01:01:00.000+00:00",
  "currency": "USD",
  "amount": 1299,
  "exchange_rate": 0.95,
  "commission": 5,
  "interchange": 5,
  "markup": 10,
  "scheme_fee": 5,
  "payment_service_report_id": "8724fd24-5489-4a5d-90fd-0604df7d3b83",
  "payment_service_report_file_ids": [
    "0302e601-d2c3-42b2-9825-9457145331ae",
    "7deec061-71a5-435f-beae-40f35820ca67"
  ],
  "transaction_id": "fe26475d-ec3e-4884-9553-f7356683f7f9"
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
This endpoint requires the transactions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction_id
string
required

The ID for the transaction to get the information for.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

settlement_id
string
required

The unique ID of the settlement.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Response

Returns a settlement.

A settlement record.

type
enum<string>

The type of this resource. Is always settlement.

Available options:
settlement
Example:

"settlement"

id
string<uuid>

The unique identifier for this settlement.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

merchant_account_id
string

The ID of the merchant account to which this settlement belongs to.

Example:

"default"

created_at
string<date-time>

The date and time when this settlement was created in our system.

Example:

"2024-04-01T19:23:00.000+00:00"

updated_at
string<date-time>

The date and time when this settlement was last updated.

Example:

"2024-04-01T19:23:00.000+00:00"

posted_at
string<date-time>

The date and time when this settlement occurred.

Example:

"2024-03-30T10:25:00.000+00:00"

ingested_at
string<date-time>

The date and time when information about this settlement was ingested into our system.

Example:

"2013-04-01T01:01:00.000+00:00"

currency
string

The currency code of this settlement in ISO 4217 three-letter code format.

Example:

"USD"

amount
integer

The net amount of this settlement.

Example:

1299

exchange_rate
number | null

The exchange rate used to convert amounts from the processing currency to the settlement currency.

Example:

0.95

commission
integer

The total commission of this settlement, expressed in currency.

Example:

5

interchange
integer | null

The interchange fee of this settlement, expressed in currency.

Example:

5

markup
integer | null

The markup of this settlement by the acquirer, expressed in currency.

Example:

10

scheme_fee
integer | null

The scheme fee of this settlement, expressed in currency.

Example:

5

payment_service_report_id
string<uuid>

The ID of the payment service report containing this settlement.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

payment_service_report_file_ids
string<uuid>[]

The list of payment service report file IDs that make up the payment service report containing this settlement.

Example:
[
"0302e601-d2c3-42b2-9825-9457145331ae",
"7deec061-71a5-435f-beae-40f35820ca67"
]
transaction_id
string<uuid>

The ID of the transaction associated with this settlement.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"